<?php

namespace Lean\Console\Entity\Firewall;

use Ulmus\Attribute\Obj\Table;
use Ulmus\Attribute\Property\Field;
use Ulmus\Entity\Field\Datetime;

#[Table(name:"firewall_connections", adapter: "lean.console")]
class Connection implements \JsonSerializable
{
    use \Ulmus\EntityTrait;

    #[Field\Id]
    public string $id;

    #[Field(length: 12)]
    public ? string $ipv4;

    #[Field(length: 40)]
    public ? string $ipv6;

    #[Field]
    public bool $success;

    #[Field(length: 255, name: "error_message")]
    public ? string $errorMessage;

    #[Field\Datetime(name: "created_at")]
    public Datetime $createdAt;
}